! Copyright (C) GFD Dennou Club, 2000.  All rights reserved.
! gtbinary - 変数への二項演算子適用

! 書式
!   gtbinary [オプション=値 ...] 左辺 右辺 [演算子 ...]
!
! 出力は output オプションまたは gtool.nc@default
! 演算子は任意個指定可. デフォルトで「加算」.

program gtbinary
    use gtool
    type(VSTRING):: lhs, rhs
    type(VSTRING):: output
    integer:: i, nargs
!--
    output = "gtool.nc@default"
    lhs = ""
    rhs = ""
    nargs = GtArgCount()
    if (nargs < 2) then
        write(*, *) "usage: gtbinary [option=value] lhs rhs [operator ...]"
        stop 1
    endif
    do, i = 1, nargs
        write(*, *) "ARG", i, "# fake code"
    enddo
end program